Subject: bug#25557: Documentation of format doesn't describe "g" accurately

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jan 2017 18:25:20 +0200

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Sat, 28 Jan 2017 11:18:44 -0500
> 
> I'm trying to get the shortest representation of a decimal number, rounded to .01, not using scientific/exponential notation.  I'm using values computed in ELisp to produce CSS style sheets, which until recently didn't allow for exponential notation.  I'd like these stylesheets to be readable, so 100% is better 100.00%, and 3.35em is better than 3.35004em. If my code is fed a value of 5000px, I don't want it converted to 5e+3px, because many browsers don't know how to parse that.

Then I think you want to use %d for integral values and %.2f for the
rest.